curl -X POST "https://app.talkover.ai/api/v1/campaigns/campaign-uuid/webhooks/webhook-uuid-1/logs/log-uuid-1/retry" \
-H "Authorization: Bearer talq_your_environment_token_here"
{
"success": true,
"message": "Webhook retry queued",
"data": {
"log_id": "new-log-uuid",
"original_log_id": "log-uuid-1"
}
}
Campaign Webhooks
Retry Campaign Webhook Delivery
Manually retry a failed campaign webhook delivery
POST
/
api
/
v1
/
campaigns
/
{campaign_id}
/
webhooks
/
{webhook_id}
/
logs
/
{log_id}
/
retry
curl -X POST "https://app.talkover.ai/api/v1/campaigns/campaign-uuid/webhooks/webhook-uuid-1/logs/log-uuid-1/retry" \
-H "Authorization: Bearer talq_your_environment_token_here"
{
"success": true,
"message": "Webhook retry queued",
"data": {
"log_id": "new-log-uuid",
"original_log_id": "log-uuid-1"
}
}
Retry Campaign Webhook Delivery
Manually retry a failed campaign webhook delivery. Creates a new log entry for the retry — original log is preserved.Endpoint
POST /api/v1/campaigns/{campaign_id}/webhooks/{webhook_id}/logs/{log_id}/retry
Path parameters
string
required
Campaign UUID.
string
required
Webhook UUID.
string
required
Log UUID of the failed delivery.
Request headers
string
required
Bearer token. Format:
Bearer talq_your_environment_token_hereExamples
curl -X POST "https://app.talkover.ai/api/v1/campaigns/campaign-uuid/webhooks/webhook-uuid-1/logs/log-uuid-1/retry" \
-H "Authorization: Bearer talq_your_environment_token_here"
Response
{
"success": true,
"message": "Webhook retry queued",
"data": {
"log_id": "new-log-uuid",
"original_log_id": "log-uuid-1"
}
}
Was this page helpful?